Skip to main content
Storage Management/Data Storage APIs/Distributed Storage Related Interfaces
DELETEDistributed Storage Related InterfacesSince 0.6SynchronousAuth Required

Delete Distributed Storage Pool

Delete Distributed Storage Pool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Body Fields

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/primary-storage/ceph/pools/{uuid}

/zstack/v1/primary-storage/ceph/pools/{uuid}

Operation ID

DeleteCephPrimaryStoragePool

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/primary-storage/ceph/pools/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history